package com.zbkj.common.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * description：生成结算单request对象
 * author：linchunpeng
 * date：2023/8/4
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "BcxBillGenerateSettleRequest对象", description = "生成结算单request对象")
public class BcxBillGenerateSettleRequest {

    @ApiModelProperty(value = "账单id列表（账单列表，勾选账单进行生成）")
    private List<Long> settleBillIdList;

    @ApiModelProperty(value = "账单id（账单详情，勾选业绩报表进行生成）")
    private Long settleBillId;

    @ApiModelProperty(value = "业绩报表id（账单详情，勾选业绩报表进行生成）")
    private List<Long> performanceReportIdList;

}
