package com.zbkj.common.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;

/**
 * 登录用户修改信息请求对象
 * +----------------------------------------------------------------------
 * | CRMEB [ CRMEB赋能开发者，助力企业发展 ]
 * +----------------------------------------------------------------------
 * | Copyright (c) 2016~2023 https://www.crmeb.com All rights reserved.
 * +----------------------------------------------------------------------
 * | Licensed CRMEB并不是自由软件，未经许可不能去掉CRMEB相关版权
 * +----------------------------------------------------------------------
 * | Author: CRMEB Team <admin@crmeb.com>
 * +----------------------------------------------------------------------
 */
@Data
public class LoginAdminUpdateRequest {

    @ApiModelProperty(value = "后台管理员昵称", required = true)
    @NotEmpty(message = "后台管理员昵称不能为空")
    @Length(max = 32, message = "账号长度不能超过32个字符")
    private String realName;

    @ApiModelProperty(value = "后台管理员密码", required = true)
    @NotEmpty(message = "密码不能为空")
    @Length(min = 6, max = 30 ,message = "密码长度在6-30个字符")
    private String password;

}
